Package com.enonic.xp.schema.mixin

## Class Mixins

- java.lang.Object
- - com.enonic.xp.support.AbstractImmutableEntityList<Mixin>
  - - com.enonic.xp.schema.mixin.Mixins

- All Implemented Interfaces:
    `Iterable<Mixin>`

      @PublicApi
      public final class Mixins
      extends AbstractImmutableEntityList<Mixin>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Mixins.Builder` |

  - ### Field Summary

    - ### Fields inherited from class com.enonic.xp.support.AbstractImmutableEntityList

      `list`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Mixins` | `add​(Mixin... mixins)` |
    `Mixins` | `add​(Iterable<Mixin> mixins)` |
    `static Mixins.Builder` | `create()` |
    `static Mixins` | `empty()` |
    `Mixins` | `filter​(Predicate<Mixin> filter)` |
    `static Mixins` | `from​(Mixin... mixins)` |
    `static Mixins` | `from​(Iterable<? extends Mixin> mixins)` |
    `static Mixins` | `from​(Iterator<? extends Mixin> mixins)` |
    `static Mixins` | `from​(Stream<? extends Mixin> mixins)` |
    `Mixin` | `getMixin​(MixinName mixinName)` |
    `Set<MixinName>` | `getNames()` |

    - ### Methods inherited from class com.enonic.xp.support.AbstractImmutableEntityList

      `contains, equals, first, get, getList, getSize, hashCode, isEmpty, isNotEmpty, iterator, last, stream, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### add

          public Mixins add​(Mixin... mixins)

    - #### add

          public Mixins add​(Iterable<Mixin> mixins)

    - #### getNames

          public Set<MixinName> getNames()

    - #### getMixin

          public Mixin getMixin​(MixinName mixinName)

    - #### filter

          public Mixins filter​(Predicate<Mixin> filter)

    - #### empty

          public static Mixins empty()

    - #### from

          public static Mixins from​(Mixin... mixins)

    - #### from

          public static Mixins from​(Iterable<? extends Mixin> mixins)

    - #### from

          public static Mixins from​(Iterator<? extends Mixin> mixins)

    - #### from

          public static Mixins from​(Stream<? extends Mixin> mixins)

    - #### create

          public static Mixins.Builder create()